Read Table from tab-separated file... data
syn_start_time = Get value... 1 C1
fname$ = Get value... 1 C2
nrows = Get number of rows

Read from file... 'fname$'
name$ = selected$("Sound")
start_time = Get start time
end_time = Get end time

To Manipulation... 0.01 75 600
Extract pitch tier
Remove points between... start_time end_time

for i from 2 to nrows
	select Table data
	f0 = Get value... i C2
	tx = Get value... i C1
	f0hz = exp((1/12)*f0*ln(2))
	t = tx + syn_start_time

	select PitchTier 'name$'
	Add point... t f0hz
endfor

select Manipulation 'name$'
plus PitchTier 'name$'
Replace pitch tier

select Manipulation 'name$'
Get resynthesis (overlap-add)

select Sound 'name$'
Save as WAV file... out.wav